liborigin 2.0.0

Public Attributes | List of all members
Origin::GraphAxisFormat Struct Reference

`#include <OriginObj.h>`

## Public Attributes
int | axisPosition
double | axisPositionValue
unsigned char | color
bool | hidden
TextBox | label
double | majorTickLength
int | majorTicksType
int | minorTicksType
string | prefix
string | suffix
double | thickness

## Member Data Documentation

## ◆ axisPosition

int Origin::GraphAxisFormat::axisPosition

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ axisPositionValue

double Origin::GraphAxisFormat::axisPositionValue

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ color

unsigned char Origin::GraphAxisFormat::color

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ hidden

bool Origin::GraphAxisFormat::hidden

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ label

TextBox Origin::GraphAxisFormat::label

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ majorTickLength

double Origin::GraphAxisFormat::majorTickLength

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ majorTicksType

int Origin::GraphAxisFormat::majorTicksType

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ minorTicksType

int Origin::GraphAxisFormat::minorTicksType

Referenced by Origin750Parser::readGraphAxisFormatInfo().

## ◆ prefix

string Origin::GraphAxisFormat::prefix

Referenced by Origin750Parser::readGraphAxisPrefixSuffixInfo().

## ◆ suffix

string Origin::GraphAxisFormat::suffix

Referenced by Origin750Parser::readGraphAxisPrefixSuffixInfo().

## ◆ thickness

double Origin::GraphAxisFormat::thickness

Referenced by Origin750Parser::readGraphAxisFormatInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h